;;; cl-scopes/test/test-storage

;;;; testing facility for scopes/storage

(defpackage :scopes/test-storage
  (:use :common-lisp)
  (:local-nicknames (:scs :scopes/storage) 
					(:sct :scopes/testing))
  (:export #:run))

(in-package :scopes/test-storage)

(defun run ()
  (let ((tst (sct:test-suite)))
    (test-track tst)
    (sct:result tst)))

(defun test-track (tst)
  (let ((tr (make-instance 'scs:track)))
	;(setf (scs:data tr) nil)
	(sct:assert-eq tst (scs:data tr) nil)))
